_UART2interrupt:
;BT_fusion_v7_PIC32.c,62 :: 		void UART2interrupt() iv IVT_UART_2 ilevel 6 ics ICS_AUTO {
ADDIU	SP, SP, -16
SW	R30, 12(SP)
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 6144
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;BT_fusion_v7_PIC32.c,63 :: 		uart_rd = UART2_Read();        // read the received data
JAL	_UART2_Read+0
NOP	
SB	R2, Offset(_uart_rd+0)(GP)
;BT_fusion_v7_PIC32.c,64 :: 		UART5_Write(uart_rd);          // and send data via UART
ANDI	R25, R2, 255
JAL	_UART5_Write+0
NOP	
;BT_fusion_v7_PIC32.c,65 :: 		U2RXIF_bit = 0;                // Interrupt register flag zurcksetzen auf 0
LUI	R2, BitMask(U2RXIF_bit+0)
ORI	R2, R2, BitMask(U2RXIF_bit+0)
_SX	8, Offset(U2RXIF_bit+4), 4
;BT_fusion_v7_PIC32.c,66 :: 		}
L_end_UART2interrupt:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
LW	R30, 12(SP)
ADDIU	SP, SP, 16
ERET	
; end of _UART2interrupt
_UART5interrupt:
;BT_fusion_v7_PIC32.c,68 :: 		void UART5interrupt() iv IVT_UART_5 ilevel 6 ics ICS_AUTO {
ADDIU	SP, SP, -16
SW	R30, 12(SP)
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 6144
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;BT_fusion_v7_PIC32.c,69 :: 		uart_rd = UART5_Read();        // read the received data
JAL	_UART5_Read+0
NOP	
SB	R2, Offset(_uart_rd+0)(GP)
;BT_fusion_v7_PIC32.c,70 :: 		UART2_Write(uart_rd);          // and send data via UART
ANDI	R25, R2, 255
JAL	_UART2_Write+0
NOP	
;BT_fusion_v7_PIC32.c,71 :: 		U5RXIF_bit = 0;                // Interrupt register flag zurcksetzen auf 0
LUI	R2, BitMask(U5RXIF_bit+0)
ORI	R2, R2, BitMask(U5RXIF_bit+0)
_SX	8, Offset(U5RXIF_bit+4), 4
;BT_fusion_v7_PIC32.c,74 :: 		if (uart_rd == 13) {          // check for CR
LBU	R3, Offset(_uart_rd+0)(GP)
ORI	R2, R0, 13
BEQ	R3, R2, L__UART5interrupt15
NOP	
J	L_UART5interrupt0
NOP	
L__UART5interrupt15:
;BT_fusion_v7_PIC32.c,75 :: 		txt[i] = 13;
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_txt+0)
ORI	R2, R2, #lo_addr(_txt+0)
ADDU	R3, R2, R3
ORI	R2, R0, 13
SB	R2, 0(R3)
;BT_fusion_v7_PIC32.c,76 :: 		txt[i+1] = 0;              // Puting 0 at the end of the string
LBU	R2, Offset(_i+0)(GP)
ADDIU	R2, R2, 1
SEH	R3, R2
LUI	R2, #hi_addr(_txt+0)
ORI	R2, R2, #lo_addr(_txt+0)
ADDU	R2, R2, R3
SB	R0, 0(R2)
;BT_fusion_v7_PIC32.c,77 :: 		DataReady = 1;           // Data is received
ORI	R2, R0, 1
SB	R2, Offset(_DataReady+0)(GP)
;BT_fusion_v7_PIC32.c,78 :: 		}
J	L_UART5interrupt1
NOP	
L_UART5interrupt0:
;BT_fusion_v7_PIC32.c,82 :: 		txt[i] = uart_rd;                          // Moving the data received from UART to string txt[]
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_txt+0)
ORI	R2, R2, #lo_addr(_txt+0)
ADDU	R3, R2, R3
LBU	R2, Offset(_uart_rd+0)(GP)
SB	R2, 0(R3)
;BT_fusion_v7_PIC32.c,83 :: 		i++;
LBU	R2, Offset(_i+0)(GP)
ADDIU	R2, R2, 1
SB	R2, Offset(_i+0)(GP)
;BT_fusion_v7_PIC32.c,85 :: 		}
L_UART5interrupt1:
;BT_fusion_v7_PIC32.c,86 :: 		}
L_end_UART5interrupt:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
LW	R30, 12(SP)
ADDIU	SP, SP, 16
ERET	
; end of _UART5interrupt
_Wait:
;BT_fusion_v7_PIC32.c,91 :: 		void Wait(){
;BT_fusion_v7_PIC32.c,92 :: 		Delay_ms(1000);
LUI	R24, 406
ORI	R24, R24, 59050
L_Wait2:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Wait2
NOP	
;BT_fusion_v7_PIC32.c,93 :: 		}
L_end_Wait:
JR	RA
NOP	
; end of _Wait
_main:
;BT_fusion_v7_PIC32.c,95 :: 		void main() {
;BT_fusion_v7_PIC32.c,97 :: 		AD1PCFG = 0xFFFF;             // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;BT_fusion_v7_PIC32.c,98 :: 		JTAGEN_BIT = 0;
_LX	, 4
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	8, Offset(JTAGEN_bit+0), 4
;BT_fusion_v7_PIC32.c,100 :: 		TRISD = 0;             // Initialize PORTA as output
SW	R0, Offset(TRISD+0)(GP)
;BT_fusion_v7_PIC32.c,101 :: 		LATD = 0;              // Set PORTA to zero
SW	R0, Offset(LATD+0)(GP)
;BT_fusion_v7_PIC32.c,103 :: 		U2IP0_bit = 0;                     // Set UART2 interrupt
LUI	R2, BitMask(U2IP0_bit+0)
ORI	R2, R2, BitMask(U2IP0_bit+0)
_SX	8, Offset(U2IP0_bit+4), 4
;BT_fusion_v7_PIC32.c,104 :: 		U2IP1_bit = 1;                     // Set interrupt priorities
LUI	R2, BitMask(U2IP1_bit+0)
ORI	R2, R2, BitMask(U2IP1_bit+0)
_SX	8, Offset(U2IP1_bit+8), 4
;BT_fusion_v7_PIC32.c,105 :: 		U2IP2_bit = 1;                     // Set UART2 interrupt to level 6
LUI	R2, BitMask(U2IP2_bit+0)
ORI	R2, R2, BitMask(U2IP2_bit+0)
_SX	8, Offset(U2IP2_bit+8), 4
;BT_fusion_v7_PIC32.c,107 :: 		U5IP0_bit = 0;                     // Set UART2 interrupt
LUI	R2, BitMask(U5IP0_bit+0)
ORI	R2, R2, BitMask(U5IP0_bit+0)
_SX	8, Offset(U5IP0_bit+4), 4
;BT_fusion_v7_PIC32.c,108 :: 		U5IP1_bit = 1;                     // Set interrupt priorities
LUI	R2, BitMask(U5IP1_bit+0)
ORI	R2, R2, BitMask(U5IP1_bit+0)
_SX	8, Offset(U5IP1_bit+8), 4
;BT_fusion_v7_PIC32.c,109 :: 		U5IP2_bit = 1;                     // Set UART2 interrupt to level 6
LUI	R2, BitMask(U5IP2_bit+0)
ORI	R2, R2, BitMask(U5IP2_bit+0)
_SX	8, Offset(U5IP2_bit+8), 4
;BT_fusion_v7_PIC32.c,111 :: 		UART2_Init(115200);            // Terminal
LUI	R25, 1
ORI	R25, R25, 49664
JAL	_UART2_Init+0
NOP	
;BT_fusion_v7_PIC32.c,112 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_main4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main4
NOP	
;BT_fusion_v7_PIC32.c,113 :: 		UART5_Init(115200);           // Bluetooth
LUI	R25, 1
ORI	R25, R25, 49664
JAL	_UART5_Init+0
NOP	
;BT_fusion_v7_PIC32.c,114 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_main6:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main6
NOP	
;BT_fusion_v7_PIC32.c,118 :: 		U2RXIE_bit = 1;                    // Set UART Receive Interrupt
LUI	R2, BitMask(U2RXIE_bit+0)
ORI	R2, R2, BitMask(U2RXIE_bit+0)
_SX	8, Offset(U2RXIE_bit+8), 4
;BT_fusion_v7_PIC32.c,119 :: 		U5RXIE_bit = 1;
LUI	R2, BitMask(U5RXIE_bit+0)
ORI	R2, R2, BitMask(U5RXIE_bit+0)
_SX	8, Offset(U5RXIE_bit+8), 4
;BT_fusion_v7_PIC32.c,120 :: 		EnableInterrupts();                // Enable interruts as previously set
EI	R30
;BT_fusion_v7_PIC32.c,124 :: 		Uart2_write_text("uController started");
LUI	R25, #hi_addr(?lstr1_BT_fusion_v7_PIC32+0)
ORI	R25, R25, #lo_addr(?lstr1_BT_fusion_v7_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,125 :: 		Uart2_write(13);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;BT_fusion_v7_PIC32.c,127 :: 		Uart5_write_text(_BT_SET_RESET);         // The SET RESET command returns the factory settings of the module
LUI	R25, #hi_addr(__BT_SET_RESET+0)
ORI	R25, R25, #lo_addr(__BT_SET_RESET+0)
JAL	_UART5_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,128 :: 		Uart5_write(13);                    // CR
ORI	R25, R0, 13
JAL	_UART5_Write+0
NOP	
;BT_fusion_v7_PIC32.c,129 :: 		Wait();
JAL	_Wait+0
NOP	
;BT_fusion_v7_PIC32.c,130 :: 		Uart2_write_text("Reset BT");
LUI	R25, #hi_addr(?lstr2_BT_fusion_v7_PIC32+0)
ORI	R25, R25, #lo_addr(?lstr2_BT_fusion_v7_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,131 :: 		Uart2_write(13);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;BT_fusion_v7_PIC32.c,133 :: 		Uart5_write_text(_BT_SYSTEM_ON);         // The AT command returns OK
LUI	R25, #hi_addr(__BT_SYSTEM_ON+0)
ORI	R25, R25, #lo_addr(__BT_SYSTEM_ON+0)
JAL	_UART5_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,134 :: 		Uart5_write(13);                   // CR
ORI	R25, R0, 13
JAL	_UART5_Write+0
NOP	
;BT_fusion_v7_PIC32.c,135 :: 		Wait();
JAL	_Wait+0
NOP	
;BT_fusion_v7_PIC32.c,137 :: 		Uart5_write_text(_BT_SET_BT_AUTH);         //
LUI	R25, #hi_addr(__BT_SET_BT_AUTH+0)
ORI	R25, R25, #lo_addr(__BT_SET_BT_AUTH+0)
JAL	_UART5_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,138 :: 		Uart5_write(13);                    // CR
ORI	R25, R0, 13
JAL	_UART5_Write+0
NOP	
;BT_fusion_v7_PIC32.c,139 :: 		Wait();
JAL	_Wait+0
NOP	
;BT_fusion_v7_PIC32.c,140 :: 		Uart2_write_text("Code: 1234");
LUI	R25, #hi_addr(?lstr3_BT_fusion_v7_PIC32+0)
ORI	R25, R25, #lo_addr(?lstr3_BT_fusion_v7_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,141 :: 		Uart2_write(13);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;BT_fusion_v7_PIC32.c,143 :: 		Uart5_write_text(_BT_INFO);         // The AT command returns OK
LUI	R25, #hi_addr(__BT_INFO+0)
ORI	R25, R25, #lo_addr(__BT_INFO+0)
JAL	_UART5_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,144 :: 		Uart5_write(13);                  // CR
ORI	R25, R0, 13
JAL	_UART5_Write+0
NOP	
;BT_fusion_v7_PIC32.c,145 :: 		Wait();
JAL	_Wait+0
NOP	
;BT_fusion_v7_PIC32.c,147 :: 		Uart5_write_text(_BT_SET_BT_PAIR);       // If command SET BT PAIR * is given, all pairings will be removed
LUI	R25, #hi_addr(__BT_SET_BT_PAIR+0)
ORI	R25, R25, #lo_addr(__BT_SET_BT_PAIR+0)
JAL	_UART5_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,148 :: 		Uart5_write(13);                   // CR
ORI	R25, R0, 13
JAL	_UART5_Write+0
NOP	
;BT_fusion_v7_PIC32.c,149 :: 		Wait();
JAL	_Wait+0
NOP	
;BT_fusion_v7_PIC32.c,150 :: 		Wait();
JAL	_Wait+0
NOP	
;BT_fusion_v7_PIC32.c,151 :: 		Uart2_write_text("Bluetooth online");
LUI	R25, #hi_addr(?lstr4_BT_fusion_v7_PIC32+0)
ORI	R25, R25, #lo_addr(?lstr4_BT_fusion_v7_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,152 :: 		Uart2_write(13);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;BT_fusion_v7_PIC32.c,154 :: 		i = 0;
SB	R0, Offset(_i+0)(GP)
;BT_fusion_v7_PIC32.c,155 :: 		DataReady = 0;
SB	R0, Offset(_DataReady+0)(GP)
;BT_fusion_v7_PIC32.c,157 :: 		while (1) {
L_main8:
;BT_fusion_v7_PIC32.c,158 :: 		WDTCONSET = 0x01;                // Watchdog service
ORI	R2, R0, 1
SW	R2, Offset(WDTCONSET+0)(GP)
;BT_fusion_v7_PIC32.c,159 :: 		if (DataReady){
LBU	R2, Offset(_DataReady+0)(GP)
BNE	R2, R0, L__main19
NOP	
J	L_main10
NOP	
L__main19:
;BT_fusion_v7_PIC32.c,160 :: 		if (strstr(txt, _SET_LIGHT_ON)){
LUI	R26, #hi_addr(__SET_LIGHT_ON+0)
ORI	R26, R26, #lo_addr(__SET_LIGHT_ON+0)
LUI	R25, #hi_addr(_txt+0)
ORI	R25, R25, #lo_addr(_txt+0)
JAL	_strstr+0
NOP	
BNE	R2, R0, L__main21
NOP	
J	L_main11
NOP	
L__main21:
;BT_fusion_v7_PIC32.c,161 :: 		LATD = 0xFFFF;              // Set PORTA to zero
ORI	R2, R0, 65535
SW	R2, Offset(LATD+0)(GP)
;BT_fusion_v7_PIC32.c,162 :: 		Uart2_write_text("Light an");
LUI	R25, #hi_addr(?lstr5_BT_fusion_v7_PIC32+0)
ORI	R25, R25, #lo_addr(?lstr5_BT_fusion_v7_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,163 :: 		Uart2_write(13);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;BT_fusion_v7_PIC32.c,165 :: 		}
L_main11:
;BT_fusion_v7_PIC32.c,166 :: 		if (strstr(txt, _SET_LIGHT_OFF)){
LUI	R26, #hi_addr(__SET_LIGHT_OFF+0)
ORI	R26, R26, #lo_addr(__SET_LIGHT_OFF+0)
LUI	R25, #hi_addr(_txt+0)
ORI	R25, R25, #lo_addr(_txt+0)
JAL	_strstr+0
NOP	
BNE	R2, R0, L__main23
NOP	
J	L_main12
NOP	
L__main23:
;BT_fusion_v7_PIC32.c,167 :: 		LATD = 0X0000;              // Set PORTA to zero
SW	R0, Offset(LATD+0)(GP)
;BT_fusion_v7_PIC32.c,168 :: 		Uart2_write_text("Light aus");
LUI	R25, #hi_addr(?lstr6_BT_fusion_v7_PIC32+0)
ORI	R25, R25, #lo_addr(?lstr6_BT_fusion_v7_PIC32+0)
JAL	_UART2_Write_Text+0
NOP	
;BT_fusion_v7_PIC32.c,169 :: 		Uart2_write(13);
ORI	R25, R0, 13
JAL	_UART2_Write+0
NOP	
;BT_fusion_v7_PIC32.c,170 :: 		}
L_main12:
;BT_fusion_v7_PIC32.c,172 :: 		DataReady = 0;
SB	R0, Offset(_DataReady+0)(GP)
;BT_fusion_v7_PIC32.c,173 :: 		i = 0;                         // reset i counter
SB	R0, Offset(_i+0)(GP)
;BT_fusion_v7_PIC32.c,174 :: 		memset(txt, 0, BUFFER_SIZE);   // reset message content
ORI	R27, R0, 10
MOVZ	R26, R0, R0
LUI	R25, #hi_addr(_txt+0)
ORI	R25, R25, #lo_addr(_txt+0)
JAL	_memset+0
NOP	
;BT_fusion_v7_PIC32.c,176 :: 		}/*  */
L_main10:
;BT_fusion_v7_PIC32.c,177 :: 		}
J	L_main8
NOP	
;BT_fusion_v7_PIC32.c,178 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
