#line 1 "C:/Users/Alexander Wolf/Desktop/Bluetooth/PIC Eigene Blueotooth/BT EasyPIC v7 - PIC32/BT_fusion_v7_PIC32.c"
#line 39 "C:/Users/Alexander Wolf/Desktop/Bluetooth/PIC Eigene Blueotooth/BT EasyPIC v7 - PIC32/BT_fusion_v7_PIC32.c"
const char _SET_LIGHT_ON[] = {'L','1',13,0};
const char _SET_LIGHT_OFF[] = {'L','0',13,0};



const char _BT_SYSTEM_ON[] = "AT";
const char _BT_SET_RESET[] = "SET RESET";
const char _BT_RESET[] = "RESET";
const char _BT_INFO[] = "INFO";
const char _BT_SET_BT_PAIR[] = "SET BT PAIR * ";
const char _BT_SET_BT_AUTH[] = "SET BT AUTH * 1234";
const char _BT_LIST[] = "LIST";
const char _BT_INQUIRY[] = "INQUIRY 7";
const char _BT_SET_BT_NAME[] = "SET BT NAME ";
const char _BT_CALL[] = "CALL XX:XX:XX:XX:XX:XX 1 RFCOMM";


char txt[ 10 ];
unsigned short i=0, DataReady =0;
char uart_rd;



void UART2interrupt() iv IVT_UART_2 ilevel 6 ics ICS_AUTO {
 uart_rd = UART2_Read();
 UART5_Write(uart_rd);
 U2RXIF_bit = 0;
}

void UART5interrupt() iv IVT_UART_5 ilevel 6 ics ICS_AUTO {
 uart_rd = UART5_Read();
 UART2_Write(uart_rd);
 U5RXIF_bit = 0;


 if (uart_rd == 13) {
 txt[i] = 13;
 txt[i+1] = 0;
 DataReady = 1;
 }
 else {

 {
 txt[i] = uart_rd;
 i++;
 }
 }
}




void Wait(){
 Delay_ms(1000);
}

void main() {

 AD1PCFG = 0xFFFF;
 JTAGEN_BIT = 0;

 TRISD = 0;
 LATD = 0;

 U2IP0_bit = 0;
 U2IP1_bit = 1;
 U2IP2_bit = 1;

 U5IP0_bit = 0;
 U5IP1_bit = 1;
 U5IP2_bit = 1;

 UART2_Init(115200);
 Delay_ms(100);
 UART5_Init(115200);
 Delay_ms(100);



 U2RXIE_bit = 1;
 U5RXIE_bit = 1;
 EnableInterrupts();



 Uart2_write_text("uController started");
 Uart2_write(13);

 Uart5_write_text(_BT_SET_RESET);
 Uart5_write(13);
 Wait();
 Uart2_write_text("Reset BT");
 Uart2_write(13);

 Uart5_write_text(_BT_SYSTEM_ON);
 Uart5_write(13);
 Wait();

 Uart5_write_text(_BT_SET_BT_AUTH);
 Uart5_write(13);
 Wait();
 Uart2_write_text("Code: 1234");
 Uart2_write(13);

 Uart5_write_text(_BT_INFO);
 Uart5_write(13);
 Wait();

 Uart5_write_text(_BT_SET_BT_PAIR);
 Uart5_write(13);
 Wait();
 Wait();
 Uart2_write_text("Bluetooth online");
 Uart2_write(13);

 i = 0;
 DataReady = 0;

 while (1) {
 WDTCONSET = 0x01;
 if (DataReady){
 if (strstr(txt, _SET_LIGHT_ON)){
 LATD = 0xFFFF;
 Uart2_write_text("Light an");
 Uart2_write(13);

 }
 if (strstr(txt, _SET_LIGHT_OFF)){
 LATD = 0X0000;
 Uart2_write_text("Light aus");
 Uart2_write(13);
 }

 DataReady = 0;
 i = 0;
 memset(txt, 0,  10 );

 }
 }
}
